Bug 1439729 - Swap partition is not created/used when using blivet-gui
Swap partition is not created/used when using blivet-gui
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
i586 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
:
: 1439572 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-06 08:35 EDT by Saurabh Thakre
Modified: 2017-04-13 10:08 EDT (History)
11 users (show)

See Also:
Fixed In Version: anaconda-26.21.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-13 10:08:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 546546 None None None 2017-04-06 08:35 EDT

  None (edit)
Description Saurabh Thakre 2017-04-06 08:35:21 EDT
Description of problem:
while doing LVM it seems to have many problems with lvm like on creating pv blivet-gui crashes.this time the swap partition is not created after booting and not shown in fstab also.


Version-Release number of selected component (if applicable):


How reproducible:anytime

Steps to Reproduce:
2. Use blivet-gui.
3. Create boot
4. Use LVM.
5.  root volume is added as lvm vg.
6.Add swap on same.
7. Finish installation.
Actual results:
no signs of creation of swap partition in fstab.

Expected results:
successfully creation of swap partition in the system.

Additional info:
Comment 1 Jiri Kortus 2017-04-06 08:52:19 EDT
I ran into a very similar issue even without LVM partitioning. The device for swap was created during installation, however it is not used in the installed system (not even mentioned in /etc/fstab).
Comment 2 Chris Murphy 2017-04-06 16:44:22 EDT
if GPT partitioning = true, and
if standard partition (not lvm) = true, and
if swap partition encrypted = false, and 
if swap partition type guid is 8200 (this is a gdisk value, the real guid is 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F), then

It's OK to not list it in fstab, because systemd is supposed to discover it.

https://www.freedesktop.org/wiki/Specifications/DiscoverablePartitionsSpec/

Point is, the comment 1 bug could be a systemd bug and should be separately checked and have it's own bug report.
Comment 3 Alessio 2017-04-06 18:34:33 EDT
yup. The swap partition (using LVM or not) is actually created. But not activated on boot.
For instance swapon /dev/sda2 enable the swap partition.

journalctl |grep swap
Apr 07 00:26:54 localhost-live kernel: Adding 2097148k swap on /dev/sda2.  Priority:-1 extents:1 across:2097148k FS

systemctl |grep swap
dev-sda2.swap                                                                             loaded active active    /dev/sda2
Comment 4 Vojtech Trefny 2017-04-07 02:44:41 EDT
*** Bug 1439572 has been marked as a duplicate of this bug. ***
Comment 5 Vojtech Trefny 2017-04-07 03:58:31 EDT
Oops, forgot to tell Anaconda to configure new swaps created by blivet-gui. Thank you all for the testing.

https://github.com/rhinstaller/anaconda/pull/1017
Comment 6 Fedora Update System 2017-04-11 10:50:56 EDT
anaconda-26.21.3-1.fc26 blivet-gui-2.1.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-10db06fadf
Comment 7 Fedora Update System 2017-04-12 19:21:41 EDT
anaconda-26.21.3-1.fc26, blivet-gui-2.1.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-10db06fadf
Comment 8 Fedora Update System 2017-04-13 10:08:12 EDT
anaconda-26.21.3-1.fc26, blivet-gui-2.1.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.